Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# `autodoc2.sphinx.autodoc`

## Module Contents

### Classes

`AutodocObject` |

### Functions

`_set_parents` |

### API

class autodoc2.sphinx.autodoc.AutodocObject(name, arguments, options, content, lineno, content_offset, block_text, state, state_machine)

  Bases: `sphinx.util.docutils.SphinxDirective`

  Initialization

  required_arguments = 1
  final_argument_whitespace = False
  has_content = True
  option_spec: ClassVar[dict[str, Any]] = None
  run() → list[docutils.nodes.Node]

autodoc2.sphinx.autodoc._set_parents(env: sphinx.environment.BuildEnvironment, mod: autodoc2.utils.ItemData, klass: autodoc2.utils.ItemData | None) → Generator[None, None, None]